petsc-3.4.2 2013-07-02

# PetscLogEventActivate

Indicates that a particular event should be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventActivate(PetscLogEvent event)

Not Collective

### Input Parameter

event -The event id

### Usage

          PetscLogEventDeactivate(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventActivate(VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with PetscLogEventRegister().

### Keywords

log, event, activate

### See Also

PetscLogEventMPEDeactivate(),PetscLogEventMPEActivate(),PlogEventDeactivate()

Level:advanced
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex3f.F.html